Index: smbios.c
===================================================================
--- smbios.c	(revision 1925)
+++ smbios.c	(working copy)
@@ -245,6 +245,8 @@
 		getSMBMemoryDeviceSerialNumber,	NULL},
 
 	{kSMBTypeMemoryDevice,	kSMBString,	getFieldOffset(SMBMemoryDevice, assetTag),		NULL,	NULL,	NULL},
+	{kSMBTypeMemoryDevice,	kSMBWord,	getFieldOffset(SMBMemoryDevice, errorHandle),		NULL,	
+		getSMBMemoryDeviceMemoryErrorHandle,	NULL},
 
 	{kSMBTypeMemoryDevice,	kSMBString,	getFieldOffset(SMBMemoryDevice, partNumber),	kSMBMemoryDevicePartNumberKey,		
 		getSMBMemoryDevicePartNumber,	NULL},
Index: smbios_getters.c
===================================================================
--- smbios_getters.c	(revision 1925)
+++ smbios_getters.c	(working copy)
@@ -229,6 +229,12 @@
 //	return true;
 }
 
+bool getSMBMemoryDeviceMemoryErrorHandle(returnType *value)
+{
+	value->word = 0xFFFF;
+	return true;
+}
+
 bool getSMBMemoryDeviceMemorySpeed(returnType *value)
 {
 	static int idx = -1;
Index: smbios_getters.h
===================================================================
--- smbios_getters.h	(revision 1925)
+++ smbios_getters.h	(working copy)
@@ -33,6 +33,7 @@
 extern bool getSMBOemProcessorBusSpeed(returnType *value);
 extern bool getSMBOemProcessorType(returnType *value);
 extern bool getSMBMemoryDeviceMemoryType(returnType *value);
+extern bool getSMBMemoryDeviceMemoryErrorHandle(returnType *value);
 extern bool getSMBMemoryDeviceMemorySpeed(returnType *value);
 extern bool getSMBMemoryDeviceManufacturer(returnType *value);
 extern bool getSMBMemoryDeviceSerialNumber(returnType *value);
Index: smbios_decode.c
===================================================================
--- smbios_decode.c	(revision 1925)
+++ smbios_decode.c	(working copy)
@@ -165,6 +165,7 @@
 	if (minorVersion < 3 || structHeader->header.length < 27)
 		return;
 	DBG("\tmemorySpeed: %dMHz\n", structHeader->memorySpeed);
+	DBG("\terrorHandle: %x\n", structHeader->errorHandle);
 	DBG("\tmanufacturer: %s\n", getSMBStringForField((SMBStructHeader *)structHeader, structHeader->manufacturer));
 	DBG("\tserialNumber: %s\n", getSMBStringForField((SMBStructHeader *)structHeader, structHeader->serialNumber));
 	DBG("\tassetTag: %s\n", getSMBStringForField((SMBStructHeader *)structHeader, structHeader->assetTag));
